<template>
  <div id="group-table">
    <p
      v-if="groups.length < 1"
      class="empty-table"
    >
      No phone numbers
    </p>
    <table v-else>
      <thead>
        <tr>
          <th>Name</th>
          <th>Phone numbers</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr
          :key="phonenumber.id"
          v-for="phonenumber in phonenumbers"
        >
          <td v-if="editing === phonenumber.id">
            
          </td>
          <td v-else>{{phonenumber.name}}</td>
          <td v-if="editing === phonenumber.id">
            
          </td>
                   <td v-if="editing === phonenumber.id">
            <button @click="editPhonenumber(Phonenumber)">Save</button>
            <button
              class="muted-button"
              @click="cancelEdit(phonenumber)"
            >Cancel</button>
          </td>
          <td v-else>
            <button @click="editMode(phonenumber)">Edit</button>
            <button @click="$emit('delete:phonenumber', phonenumber.id)">Delete</button>
          </td>

        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  name: 'phonenumber-table',
  props: {
    phonenumbers: Array,
  },
  data() {
    return {
      editing: null,
    }
  },
  methods: {
    editMode(phonenumber) {
      this.cachedphonenumber = Object.assign({}, phonenumber)
      this.editing = phonenumber.id
    },

    cancelEdit(phonenumber) {
      Object.assign(phonenumber, this.cachedPhonenumber)
      this.editing = null;
    },

    editPhonenumber(phonenumber) {
      this.$emit('edit:phonenumber', phonenumber.id, phonenumber)
      this.editing = null
    }
  }
}
</script>

<style scoped>
button {
  margin: 0 0.5rem 0 0;
}

input {
  margin: 0;
}

.empty-table {
  text-align: center;
}
</style>
